Bug 995761 - SELinux is preventing /usr/sbin/asterisk from 'create' accesses on the sock_file asterisk.ctl.
SELinux is preventing /usr/sbin/asterisk from 'create' accesses on the sock_f...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:258ddec8a47f87375ea38239ea1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-10 17:23 EDT by Jared Smith
Modified: 2013-08-21 20:54 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-71.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-21 20:54:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jared Smith 2013-08-10 17:23:15 EDT
Description of problem:
Started Asterisk
SELinux is preventing /usr/sbin/asterisk from 'create' accesses on the sock_file asterisk.ctl.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that asterisk should be allowed create access on the asterisk.ctl sock_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep asterisk /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:asterisk_t:s0
Target Context                system_u:object_r:var_run_t:s0
Target Objects                asterisk.ctl [ sock_file ]
Source                        asterisk
Source Path                   /usr/sbin/asterisk
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-69.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.10.3-300.fc19.x86_64 #1 SMP Fri
                              Jul 26 00:00:58 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-08-10 17:21:40 EDT
Last Seen                     2013-08-10 17:21:40 EDT
Local ID                      b9c4c596-53cc-40b3-b205-00c87b6bccbf

Raw Audit Messages
type=AVC msg=audit(1376169700.881:2457): avc:  denied  { create } for  pid=17035 comm="asterisk" name="asterisk.ctl" scontext=system_u:system_r:asterisk_t:s0 tcontext=system_u:object_r:var_run_t:s0 tclass=sock_file


type=SYSCALL msg=audit(1376169700.881:2457): arch=x86_64 syscall=bind success=no exit=EACCES a0=4 a1=7fff8d8269d0 a2=6e a3=7fff8d826680 items=0 ppid=17033 pid=17035 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=asterisk exe=/usr/sbin/asterisk subj=system_u:system_r:asterisk_t:s0 key=(null)

Hash: asterisk,asterisk_t,var_run_t,sock_file,create

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.3-300.fc19.x86_64
type:           libreport
Comment 1 Daniel Walsh 2013-08-12 10:36:50 EDT
9c1f51f62833b53d8e9d615322ccf2f8759a0da3 fixes this in git.
Comment 2 Fedora Update System 2013-08-20 04:27:36 EDT
selinux-policy-3.12.1-71.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-71.fc19
Comment 3 Fedora Update System 2013-08-20 20:16:25 EDT
Package selinux-policy-3.12.1-71.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-71.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15088/selinux-policy-3.12.1-71.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-08-21 20:54:22 EDT
selinux-policy-3.12.1-71.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.